function _ts_decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for(var i = decorators.length - 1; i >= 0; i--)if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}
function _ts_metadata(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
}
import { Column, Entity, Index, PrimaryColumn } from "typeorm";
import { id } from "../id.js";
export let MemorietArchive = class MemorietArchive {
    id;
    createdAt;
    deletedAt;
    userId;
    text;
    cw;
    fileIds;
    textLayers;
    visibility;
};
_ts_decorate([
    PrimaryColumn(id()),
    _ts_metadata("design:type", String)
], MemorietArchive.prototype, "id", void 0);
_ts_decorate([
    Index(),
    Column("timestamp with time zone"),
    _ts_metadata("design:type", typeof Date === "undefined" ? Object : Date)
], MemorietArchive.prototype, "createdAt", void 0);
_ts_decorate([
    Index(),
    Column("timestamp with time zone"),
    _ts_metadata("design:type", typeof Date === "undefined" ? Object : Date)
], MemorietArchive.prototype, "deletedAt", void 0);
_ts_decorate([
    Index(),
    Column(id()),
    _ts_metadata("design:type", Object)
], MemorietArchive.prototype, "userId", void 0);
_ts_decorate([
    Column("text", {
        nullable: true
    }),
    _ts_metadata("design:type", Object)
], MemorietArchive.prototype, "text", void 0);
_ts_decorate([
    Column("varchar", {
        length: 128,
        nullable: true
    }),
    _ts_metadata("design:type", Object)
], MemorietArchive.prototype, "cw", void 0);
_ts_decorate([
    Column({
        ...id(),
        array: true,
        default: "{}"
    }),
    _ts_metadata("design:type", Array)
], MemorietArchive.prototype, "fileIds", void 0);
_ts_decorate([
    Column("jsonb", {
        default: []
    }),
    _ts_metadata("design:type", Array)
], MemorietArchive.prototype, "textLayers", void 0);
_ts_decorate([
    Column("varchar", {
        length: 32,
        default: "home"
    }),
    _ts_metadata("design:type", Object)
], MemorietArchive.prototype, "visibility", void 0);
MemorietArchive = _ts_decorate([
    Entity("memoriet_archive")
], MemorietArchive);
